Run an identity resolution ruleset job on demand by using the Data 360 Identity Resolution Ruleset Run Now endpoint in Connect API.
Prerequisite
Before you send a request to Connect API, obtain a bearer token. For more information, see Connect to REST-based APIs.
Send the Request
To run an identity resolution ruleset immediately, send a POST request to the /ssot/identity-resolutions/{identityResolutionRulesetName}/actions/run-now endpoint. Replace {identityResolutionRulesetName} with the name of the ruleset that you want to run.
POST /services/data/{apiVersion}/ssot/identity-resolutions/{identityResolutionRulesetName}/actions/run-now HTTP/1.1
Host: YOUR_SUBDOMAIN.my.salesforce.com
Content-Type: application/json
Authorization: Bearer YOUR_BEARER_TOKEN
{}
If the request is accepted, the response body describes the result of running the ruleset.
{
"resultCode": "NoPendingChangesJobRunSkipped"
}
There are four possible values for resultCode.
ExceededMaximumNumberOf​SuccessfulRunsAllowedIn24HoursIdentityResolutionJobIsAlready​RunningNoPendingChangesJobRunSkippedSuccessfullySubmittedIdentity​ResolutionJobRunRequest